summaryrefslogtreecommitdiff
path: root/tests/basic
diff options
context:
space:
mode:
authorMatt Goins <mjgoins@openflows.com>2009-02-04 12:37:26 -0500
committerMatt Goins <mjgoins@openflows.com>2009-02-04 12:37:26 -0500
commitc9a361eecab5ea18d0b868580a3d0703517ab677 (patch)
tree89ba718df3d6c73e20e7c05bc174e9ee994bbdfa /tests/basic
parent001f9d9990b0341dfc8b94651cd7a7e51dccd6cf (diff)
parentfa55936fde40619cdb955a089065d27a67f03f10 (diff)
Merge commit 'dkg/master'
Diffstat (limited to 'tests/basic')
-rwxr-xr-xtests/basic38
1 files changed, 6 insertions, 32 deletions
diff --git a/tests/basic b/tests/basic
index a3d0b4f..5c6b4bb 100755
--- a/tests/basic
+++ b/tests/basic
@@ -17,6 +17,10 @@ set -e
# piped commands should return the code of the first non-zero return
set -o pipefail
+export TESTDIR=$(dirname "$0")
+
+source "$TESTDIR"/common
+
## make sure that the right tools are installed to run the test. the
## test has *more* requirements than plain ol' monkeysphere:
which socat >/dev/null || { echo "You must have socat installed to run this test." ; exit 1; }
@@ -72,34 +76,6 @@ ssh_test() {
fi
}
-failed_cleanup() {
- # FIXME: can we be more verbose here?
- echo 'FAILED!'
- read -p "press enter to cleanup and remove tmp:"
-
- cleanup
-}
-
-get_gpg_prng_arg() {
- if (gpg --quick-random --version >/dev/null 2>&1) ; then
- echo quick-random
- elif (gpg --debug-quick-random --version >/dev/null 2>&1) ; then
- echo debug-quick-random
- fi
-}
-
-cleanup() {
- echo "### removing temp dir..."
- rm -rf "$TEMPDIR"
-
- if [ "$SSHD_PID" ] ; then
- echo "### killing off lingering sshd..."
- kill "$SSHD_PID"
- fi
-
- wait
-}
-
SSHD_PID=
## setup trap
@@ -112,15 +88,13 @@ trap failed_cleanup EXIT
## set up some variables to ensure that we're operating strictly in
## the tests, not system-wide:
-export TESTDIR=$(dirname "$0")
-
# make temp dir
TEMPDIR="$TESTDIR"/tmp
if [ -e "$TEMPDIR" ] ; then
echo "tempdir '$TEMPDIR' already exists."
exit 1
fi
-mkdir "$TEMPDIR"
+mkdir -p "$TEMPDIR"
# Use the local copy of executables first, instead of system ones.
# This should help us test without installing.
@@ -154,7 +128,7 @@ cp -a "$TESTDIR"/home/admin "$TEMPDIR"/
cp -a "$TESTDIR"/home/testuser "$TEMPDIR"/
# set up environment for testuser
-TESTHOME="$TEMPDIR"/testuser
+export TESTHOME="$TEMPDIR"/testuser
export GNUPGHOME="$TESTHOME"/.gnupg
export SSH_ASKPASS="$TESTHOME"/.ssh/askpass
export MONKEYSPHERE_HOME="$TESTHOME"/.monkeysphere